Subject: Re: bug#17361: Tramp does not save history across sessions.

From: Michael Albinus <[email-masked]>
Date: Mon, 28 Apr 2014 15:45:34 +0200

Le Wang <[email-masked]> writes:

> Tramp installs its own sentinel -- tramp-process-sentinel -- over
> shell-mode's shell-write-history-on-exit.  What's the way to write to
> history file when the process ends without using defadvice?
>
> Could the default behave better?

The problem seems to be more general. Emacs does not support to have
several process sentinels for a given process. If several sentinels are
declared for a process by ?`set-process-sentinel', they compete for
being attached to the process. And the last one wins.

So we need to support several sentinels per process. Maybe this exist
already, but I'm not aware of such a mechanism.

Stefan?

Best regards, Michael.